Bug 70215 - Erratic behaviour of "terminal bell" setting in gnome-terminal
Summary: Erratic behaviour of "terminal bell" setting in gnome-terminal
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal   
(Show other bugs)
Version: limbo
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-31 03:37 UTC by Marc Deslauriers
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 19:58:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc Deslauriers 2002-07-31 03:37:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
As I get annoyed pretty quickly by the terminal bell, I edited the "current
profile" and noticed the "Terminal Bell" box was not checked. I  checked it,
thinking that would disable the bell. It did, but now, everytime I hit tab to
complete a command, the whole terminal window flashes. Even more annoying than
the bell! So I tried deactivating the checkbox, but it stays checked now no
matter how hard I try.

Version-Release number of selected component (if applicable):
gnome-terminal-2.0.0.90-3

How reproducible:
Always

Steps to Reproduce:
1.Open gnome terminal
2.Press tab a few times, notice the bell
3.Select Edit/Current Profile
4. Notice "Terminal Bell" is not checked
5. Check it and click on Close.
6. Press tab a few times. Notice the whole window flashing.
7. Select Edit/Current Profile
8. Uncheck "Terminal Bell" and click on Close
	

Actual Results:  When you go back in, the "Terminal Bell" setting is checked again

Expected Results:  I expect it to behave properly.

Additional info:

And _please_ don't flash the whole window instead of beeping...that's even more
annoying...especially while typing in the dark...

Comment 1 Havoc Pennington 2002-07-31 14:17:14 UTC
Nalin does vte have some sort of visual bell feature?

Comment 2 Need Real Name 2002-08-14 02:14:15 UTC
I am experiencing similar problems, but in my case the "terminal bell" setting
clears itself when I close the setup window. In any case, I cannot get
gnome-terminal to stop beeping.

Comment 3 Nalin Dahyabhai 2002-08-22 03:43:35 UTC
Havoc, the terminal does have a visual bell -- that's the screen flashing you
see when the audible bell is silenced.  At the moment it doesn't have a
"neither" setting.

Comment 4 Havoc Pennington 2002-08-22 03:53:13 UTC
so there are two issues here - one is that the checkbox for toggling the bell is
screwy (someone has a boolean value backward).

The other is that if you manage to toggle it off, the visual bell appears.

FWIW I think we should add the "neither" setting. But given time constraints it
might be a good idea to just disable visual bell for this release.

Comment 5 Havoc Pennington 2002-08-22 03:57:22 UTC
Fix from CVS should be applied:

	* src/profile-editor.c (profile_editor_update_silent_bell): add
	missing "!" that made the "Terminal bell" setting behave
	incorrectly

Comment 6 Marc Deslauriers 2002-08-22 03:59:10 UTC
Actually, in the (null) beta, I don't get the visual bell anymore. The "Terminal
Bell" option in gnome-terminal doesn't appear to do anything. Everytime I check
it, it unchecks itself. 

Setting Preferences/Keyboard/Sound/Keyboard Bell works great for gnome-terminal.
I can turn the beep on and off at will. I never see the visual bell anymore.

So it seems the only thing to do is get rid of the "Terminal Bell" in
gnome-terminal's GUI.


Comment 7 Nalin Dahyabhai 2002-09-03 19:58:12 UTC
Fix applied in 2.0.1-5.

Comment 8 Jay Turner 2002-09-03 21:04:55 UTC
Fix confirmed with gnome-terminal-2.0.1-5.


Note You need to log in before you can comment on or make changes to this bug.